<?php

namespace App\ReportsData\EntityList;

class Orders extends GeneralAbstract
{

	/**
	 * {@inheritDoc}
	 * @see \App\EntityList\GeneralAbstract::loadDbTablesCfgs()
	 */
	protected function loadDbTablesCfgs(): void
	{
		// store the table name
		global $DBTRd_orders, $DBTRd_users, $DBTRd_offices;
		$this->setMainTable($DBTRd_orders, 'ord');
        $this->addAllowedTable($DBTRd_users, 'user', 'ord.idUser=user.id', 'INNER');
        $this->addAllowedTable($DBTRd_offices, 'office', 'ord.idOffice=office.id', 'INNER');
	}

	public function setDefaultFilters(): void
	{
	}

}

